@charset "utf-8";

:root {
    --base-font-size: 14px;
    --base-font-color: #fefefe;
    --base-max-width: 750px;
    --base-min-width: 360px;
    --base-background-color: #000;
    --base-border-radius: 8px;
    --base-topbar-height: 1rem;
    --base-bottombar-height: 0.8rem;
}

body {
    font-family: Helvetica, Arial, -apple-system, 'system-ui', 'sans-serif';
    font-size: var(--base-font-size);
    line-height: 1.4;
    color: var(--base-font-color);
    background-color: var(--base-background-color);
}

img {
    display: block;
    width: 100%;
    height: auto;
    margin: auto;
    line-height: 0;
}

ul,
ol {
    margin: 0;
    padding: 0;
    list-style: none;
}

p {
    margin: 0.6em 0;
}

a {
    text-decoration: none;
    color: var(--base-font-color);
}

select {
    display: block;
    width: 100%;
    outline: none;
    border: none;
    padding: 0.2em 0;
    color: #fff;
    background: transparent;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

select option {
    background-color: #f2f2f2;
    color: #000;
}

input[type='text'],
input[type='number'] {
    display: block;
    width: 100%;
    outline: none;
    border: none;
    padding: 0.3em 0;
    color: #fff;
    font-size: 1.15em;
    background: transparent;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input::placeholder {
    color: #fff;
}

.app {
    width: 100%;
    max-width: var(--base-max-width);
    min-width: var(--base-min-width);
    margin: auto;
    padding-top: var(--base-topbar-height);
    padding-bottom: var(--base-bottombar-height);
    box-sizing: border-box;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 10;
}

.topbar {
    display: flex;
    align-items: center;
    width: 100%;
    height: var(--base-topbar-height);
    max-width: var(--base-max-width);
    min-width: var(--base-min-width);
    margin: auto;
    padding: 0 0.2rem;
    background-color: #222222;
    box-sizing: border-box;
}

.topbar dl {
    display: flex;
    flex: auto;
    margin: 0;
    line-height: 1.1;
}

.topbar dl dt {
    flex: none;
    height: 0.8rem;
    width: auto;
}

.topbar dl dt img {
    display: block;
    height: 100%;
    width: auto;
    margin: 0;
}

.topbar dl dd {
    flex: auto;
    margin: 0.06rem 0 0 0.12rem;
}

.topbar dl dd h1 {
    margin: 0 0 0.06rem;
    font-size: 1.15em;
    font-weight: bold;
    color: #fff;
}

.topbar dl dd h2 {
    margin: 0;
    font-size: 1em;
    font-weight: normal;
    color: #8f8f8f;
}

.topbar .links {
    display: flex;
    align-items: center;
    flex: none;
}

.links li {
    flex: none;
    margin: 0 0.1rem;
}

.links li:first-child {
    margin-left: 0;
}

.links li:last-child {
    margin-right: 0;
}
.links li a {
    display: block;
}
.links li a img {
    display: block;
    height: 0.7rem;
    width: auto;
}

.btn-normal {
    display: block;
    padding: 0.5em 1.1em;
    border-radius: 4px;
    font-size: 1em;
    color: #6a4209;
    background: linear-gradient(0deg, #d39f64, #fdecc0);
}

.footer {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 10;
}

.bottombar {
    display: flex;
    align-items: center;
    width: 100%;
    height: var(--base-bottombar-height);
    max-width: var(--base-max-width);
    min-width: var(--base-min-width);
    margin: auto;
    background-color: #171516;
    box-sizing: border-box;
}

.bottombar li {
    flex: none;
    width: 20%;
    height: 100%;
    text-align: center;
}

.bottombar li a {
    display: block;
    height: 100%;
    font-size: 0;
    line-height: 0;
}

.bottombar .qmjz {
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/tabmenu.png') no-repeat 0 0;
    background-size: 500% 200%;
}

.bottombar .dwqj {
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/tabmenu.png') no-repeat 25% 0;
    background-size: 500% 200%;
}

.bottombar .lyzb {
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/tabmenu.png') no-repeat 50% 0;
    background-size: 500% 200%;
}

.bottombar .zksc {
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/tabmenu.png') no-repeat 75% 0;
    background-size: 500% 200%;
}

.bottombar .qmzb {
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/tabmenu.png') no-repeat 100% 0;
    background-size: 500% 200%;
}

.bottombar .active .qmjz {
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/tabmenu.png') no-repeat 0 100%;
    background-size: 500% 200%;
}

.bottombar .active .dwqj {
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/tabmenu.png') no-repeat 25% 100%;
    background-size: 500% 200%;
}

.bottombar .active .lyzb {
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/tabmenu.png') no-repeat 50% 100%;
    background-size: 500% 200%;
}

.bottombar .active .zksc {
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/tabmenu.png') no-repeat 75% 100%;
    background-size: 500% 200%;
}

.bottombar .active .qmzb {
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/tabmenu.png') no-repeat 100% 100%;
    background-size: 500% 200%;
}

.logo {
    position: absolute;
    top: 0;
    right: 0;
    width: 2.71rem;
    height: 1.2rem;
    background: url('//content.gamebean.com/image/qmqj/jianzhong/yzjj202506/logo.png') no-repeat;
    background-size: 100% 100%;
}

.cover {
    position: relative;
    min-height: calc(100vh - var(--base-topbar-height) - var(--base-bottombar-height));
    background: url("//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/cover-bg.jpg") no-repeat;
    background-size: cover;
    box-sizing: border-box;
}

.cover h3 {
    position: absolute;
    top: 44%;
    left: 50%;
    width: 6.5rem;
    height: 2.02rem;
    font-size: 0;
    line-height: 0;
    background: url("//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/cover-title1.png") no-repeat;
    background-size: 100% 100%;
    transform: translateX(-50%);
}

.btn-enter {
    display: block;
    position: absolute;
    bottom: 0.3rem;
    left: 50%;
    width: 2.4rem;
    height: 3.08rem;
    margin-left: -16%;
    background: url("//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/cover-decorations.png") no-repeat;
    background-size: 100% 100%;
}

.page1 {
    position: relative;
    min-height: calc(100vh - var(--base-topbar-height) - var(--base-bottombar-height));
    padding-top: 0.5rem;
    padding-bottom: 0.2rem;
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/page1-bg.jpg') no-repeat center top;
    background-size: cover;
    box-sizing: border-box;
}

.page1 > h3 {
    width: 6.8rem;
    margin: 0.2rem auto;
}

.page1 > h3:first-of-type {
    margin-top: 0;
}

.page1-col {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    width: 7rem;
    margin: 0 auto;
    color: #000;
}

.page1-col .buttons {
    flex: none;
    margin-left: 0.2rem;
}

.rules {
    position: absolute;
    top: 0.2rem;
    right: 0.3rem;
    display: flex;
    align-items: center;
}
.rules i {
    flex: none;
    width: 0.4rem;
    height: 0.4rem;
    margin-right: 0.1rem;
    background: url("//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/icon-info.png") no-repeat;
    background-size: 100% 100%;
}
.rules span {
    flex: auto;
}

.userbox {
    display: flex;
    align-items: center;
    flex: auto;
}

.userbox h4 {
    flex: none;
    width: 0.6rem;
    margin: 0;
    border-radius: 1rem;
    font-size: 0;
    line-height: 0;
    overflow: hidden;
}

.userbox h5 {
    flex: auto;
    margin: 0 0 0 0.1rem;
    font-size: 1em;
    font-weight: normal;
    word-break: break-all;
    white-space: pre-wrap;
    color: #fff;
}

.selection {
    flex: none;
    position: relative;
    width: 2.4rem;
    margin: 0;
    padding: 0.08rem 0.24rem;
    border: 1px solid #fff;
    border-radius: 1rem;
    color: #fff;
}

.selection::after {
    content: '';
    position: absolute;
    right: -0.08rem;
    top: -0.08rem;
    z-index: 1;
    width: 0.8rem;
    height: 125%;
    background: url('//content.gamebean.com/image/qmqj/jianzhong/yzjj202506/page1-arrow.png') no-repeat;
    background-size: 100% 100%;
}

.selection select {
    position: relative;
    z-index: 3;
    color: #fff;
}

.page1-content {
    width: 6.7rem;
    margin: 0.3rem auto;
    padding: 0.4rem 0.4rem 0.2rem;
    text-align: center;
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/page1-content-bg.png') no-repeat;
    background-size: 100% 100%;
    box-sizing: border-box;
}

.page1-content h4 {
    margin: 0 auto 0.2rem;
    font-size: 1em;
    color: #fbdf9b;
    font-weight: normal;
}

.swapcard {
    display: flex;
    justify-content: space-around;
}

.swapcard li {
    flex: none;
    width: 40%;
}

.swapcard li h4 {
    margin: 0;
    text-align: center;
}

.swapcard li article {
    position: relative;
}

.swapcard li aside {
    position: absolute;
    bottom: 0.3rem;
    right: 0.3rem;
    font-size: 1em;
}

.page2 {
    position: relative;
    min-height: calc(100vh - var(--base-topbar-height) - var(--base-bottombar-height));
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/page2-bg.jpg') no-repeat center top;
    background-size: cover;
}

.page2 > h3 {
    position: absolute;
    top: 0.2rem;
    left: 0.3rem;
    right: 0.3rem;
    margin: 0;
}

.page2 > h4 {
    position: absolute;
    bottom: 0.1rem;
    left: 0;
    right: 0;
    margin: 0;
}

.page3 {
    position: relative;
    min-height: calc(100vh - var(--base-topbar-height) - var(--base-bottombar-height));
    padding: 0.3rem 0 0.2rem;
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/page1-bg.jpg') no-repeat center top;
    background-size: cover;
    box-sizing: border-box;
}

.page3 > h3 {
    width: 5.2rem;
    margin: 0 auto;
}

.page3 > h3:first-of-type {
    margin-top: 0;
}

.page3 h4 {
    width: 4.5rem;
    margin: 0 auto;
}

.page3-list {
    width: 6.68rem;
    margin: 0.1rem auto;
}

.page3-list li {
    display: flex;
    align-items: center;
    min-height: 2.4rem;
    margin: 0.1rem 0;
    padding: 0.4rem 0.34rem 0.44rem 0.34rem;
    background: url("//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/page3-box-bg.png") no-repeat;
    background-size: 100% 100%;
    box-sizing: border-box;
}

.page3-list li h5 {
    flex: none;
    width: 0.51rem;
    margin: 0;
    font-size: 0;
    line-height: 0;
}

.page3-list li article {
    flex: auto;
    text-align: center;
    color: #e3d1a4;
}

.page3-list li p {
    margin: 0.2em 0;
    font-size: 1.1em;
}

.page3-list li .button {
    display: inline-block;
    width: 2.5rem;
    margin: 0;
}

.page3-rewards {
    margin-top: 0.2rem;
}

.page3-rewards article {
    width: 95%;
    margin: 0.1rem auto;
}

.page3-lybd-server {
    position: relative;
    width: 7rem;
    min-height: 3rem;
    margin: 0.1rem auto 0;
    padding-top: 0.15rem;
    background: url("//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/page3-lybd-bg1.png") no-repeat;
    background-size: 100% 100%;
    box-sizing: border-box;
}

.page3-lybd-server h5 {
    margin: 0;
    line-height: 1;
    font-size: 1.1em;
    font-weight: bold;
    text-align: center;
    color: #fff;
}

.page3-lybd-server .button-close {
    display: block;
    position: absolute;
    top: 0.14rem;
    right: 0.26rem;
    width: 0.44rem;
    height: 0.32rem;
    font-size: 0;
    line-height: 0;
    background: url("//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/page3-icon-close.png") no-repeat;
    background-size: 100% 100%;
}

.page3-lybd-server-list {
    display: flex;
    justify-content: center;
    margin: 0.3rem 0.2rem 0;
}

.page3-lybd-server-list li {
    position: relative;
    flex: auto;
    width: 20%;
    margin: 0 0.1rem;
}

.page3-lybd-server-list li.active::after {
    content: '';
    display: block;
    position: absolute;
    bottom: -0.19rem;
    left: 50%;
    transform: translateX(-0.4rem);
    z-index: 2;
    width: 0.8rem;
    height: 0.4rem;
    background: url("//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/page3-lybd-icon-arrow.png") no-repeat;
    background-size: 100% 100%;

}

.page3-lybd-ranking {
    width: 7rem;
    min-height: 3.9rem;
    margin: 0 auto;
    padding: 0 0 0.1rem 0;
    background: url("//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/page3-lybd-bg2.png") no-repeat;
    background-size: 100% 100%;
}

.page3-lybd-ranking h5 {
    margin: 0;
    font-size: 1.1em;
    font-weight: bold;
    text-align: center;
    color: #fff;
}

.page3-lybd-ranking-table {
    border: none;
    width: 90%;
    margin: 0.1rem auto;
    text-align: center;
}

.page3-lybd-ranking-table th,
.page3-lybd-ranking-table td {
    padding: 0.3em 0.4em;
}

.page3-lybd-ranking-table th {
    height: 0.4rem;
    border-bottom: 1px dashed #797059;
}

.page3-lybd-ranking-table th img {
    height: 100%;
    width: auto;
}

.page4 {
    position: relative;
    min-height: calc(100vh - var(--base-topbar-height) - var(--base-bottombar-height));
    padding-top: 0.3rem;
    background: #271b0d url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/page4-bg.jpg') no-repeat center top;
    background-size: cover;
    box-sizing: border-box;
}

.page4 > h3 {
    width: 6.4rem;
    margin: 0 auto;
}

.page4-commodity {
    position: absolute;
    bottom: 14vh;
    left: 0.4rem;
    right: 0.4rem;
}

.page5 {
    position: relative;
    min-height: calc(100vh);
    padding-top: 0.3rem;
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/page5-bg.jpg') no-repeat center top;
    background-size: cover;
    box-sizing: content-box;
}

.page5 > h3 {
    width: 6.4rem;
    margin: 0 auto;
}

.page5 > h4 {
    width: 6.4rem;
    margin: -0.3rem auto 0;
}

.page5-footer {
    position: absolute;
    bottom: 11vh;
    left: 0.4rem;
    right: 0.4rem;
    text-align: center;
    color: #fef9e3;
}

.page5-footer article {
    width: 4.8rem;
    margin: 0 auto;
    font-size: 1.5em;
    font-weight: bold;
}
.page5-footer article p {
    margin: 0.3em 0;
    text-shadow: 1px 1px 5px #000, 2px 2px 10px #000;
}

.qrcode {
    width: 2.6rem;
    margin: 0 auto 0.3rem;
}

.message {
    position: fixed;
    top: 2%;
    left: 3%;
    right: 3%;
    z-index: 50;
    border: 1px solid #a09882;
    border-radius: 6px;
    text-align: center;
    color: #fff;
    background-color: rgba(0, 0, 0, 0.7);
    box-shadow: 0 1px 10px 1px rgba(0, 0, 0, 0.8);
    box-sizing: border-box;
    --animate-duration: 0.3s;
}

.message article {
    max-width: 750px;
    margin: 0 auto;
    padding: 0.2rem 0.3rem;
}

.mask {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 20;
    background-color: rgba(0, 0, 0, 0.8);
}

.mask-box {
    position: relative;
    width: 6.9rem;
    margin: 25% auto 0;
}

.mask-content {
    padding: 0.4rem 0.2rem 0.5rem;
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/mask-bg.png') no-repeat;
    background-size: 100% 100%;
}

.mask-content h3 {
    width: 6rem;
    margin: 0.2rem auto;
    font-size: 0;
    line-height: 0;
}

.mask-content h4 {
    margin: 0.3rem 0;
    font-size: 1.1em;
    font-weight: normal;
    color: #d2b680;
}

.form-sharelink {
    display: flex;
}

.form-sharelink header {
    flex: auto;
    border: 1px solid #dcc892;
}

.form-sharelink header input {
    display: block;
    width: 100%;
    padding: 0.5em;
    box-sizing: border-box;
}

.form-sharelink footer {
    flex: none;
}

.form-sharelink footer a {
    display: block;
    padding: 0.7em 1em;
    text-align: center;
    color: #5a2800;
    background-color: #dcc892;
}

.list-mycard,
.list-card {
    display: flex;
    justify-content: center;
}

.list-mycard li,
.list-card li {
    flex: none;
    position: relative;
    width: 18%;
    margin: 0 0.04rem;
    text-align: center;
    box-sizing: border-box;
}

.list-mycard li aside,
.list-card li aside {
    position: absolute;
    bottom: 0.12rem;
    right: 0.16rem;
    font-size: 0.9em;
}

.list-card header {
    position: relative;
    margin-bottom: 0.04rem;
}

.list-button {
    display: flex;
}

.list-button li {
    flex: auto;
    text-align: center;
}

.btn-yellow {
    display: block;
    width: 2.9rem;
    height: 0.8rem;
    margin: 0 auto;
    font-size: 1.2em;
    line-height: 0.8rem;
    text-align: center;
    color: #5b3812;
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/btn-yellow.png') no-repeat;
    background-size: 100% 100%;
}

.btn-gray {
    display: block;
    width: 2.9rem;
    height: 0.8rem;
    margin: 0 auto;
    font-size: 1.2em;
    line-height: 0.8rem;
    text-align: center;
    color: #464035;
    background: url('//content.gamebean.com/image/qmqj/jianzhong/2026q2jizi/btn-gray.png') no-repeat;
    background-size: 100% 100%;
}

.btn-popup-close {
    display: block;
    margin: 0.2rem auto;
    text-align: center;
    color: #fff;
    font-size: 16px;
}

.btn-normal-disable {
    display: block;
    padding: 0.5em 1.1em;
    border-radius: 4px;
    font-size: 1em;
    color: #777;
    background: linear-gradient(0deg, #999, #ddd);
}

.mt {
    margin-top: 0.4rem;
}

.font-yellow {
    color: #f2b848;
}

.text-center {
    text-align: center;
}

.center {
    margin-left: auto;
    margin-right: auto;
}

.scrollbox {
    height: 50vh;
    overflow: auto;
}